apptainer(1)

NAME

apptainer-push - Upload image to the provided URI

SYNOPSIS

apptainer push [push options...]

DESCRIPTION

The 'push' command allows you to upload a SIF container to a given
  URI. Supported URIs include:

library:
      library://user/collection/container[:tag]

oras:
      oras://registry/namespace/image:tag

NOTE: It's always good practice to sign your containers before
  pushing them to the library. An auth token is required to push to the library,
  so you may need to configure it first with 'apptainer remote'.

OPTIONS

-U, --allow-unsigned[=false]
    do not require a signed container image

-D, --description=""
    description for container image (library:// only)

--docker-host=""
    specify a custom Docker daemon host

-h, --help[=false]
    help for push

--library=""
    the library to push to

--no-https[=false]
    use http instead of https for docker:// oras:// and library:///... URIs

EXAMPLE
      To Library
      $ apptainer push /home/user/my.sif library://user/collection/my.sif:latest
      To supported OCI registry
      $ apptainer push /home/user/my.sif oras://registry/namespace/image:tag

SEE ALSO

apptainer(1)

HISTORY

6-Sep-2024 Auto generated by spf13/cobra